<mat-toolbar>
  <button mat-icon-button>
    <span class="material-icons"> keyboard_backspace </span>
  </button>
</mat-toolbar>

<div class="container">
  <div class="row">
    <div class="col-12">
      <mat-horizontal-stepper linear #stepper>
        <mat-step [stepControl]="firstFormGroup" [editable]="isEditable">
          <form [formGroup]="firstFormGroup">
            <ng-template matStepLabel>Dados da propriedade</ng-template>

            <mat-grid-list cols="5" rowHeight="100px">
              
              <mat-grid-tile>
                <mat-form-field>
                  <mat-label>Nome da propriedade</mat-label>
                  <input
                    matInput
                    formControlName="tx_nomePropriedade"
                    placeholder="Ex. Fazenda Ribeirão"
                  />
                </mat-form-field>
              </mat-grid-tile>

              <mat-grid-tile>
                <mat-form-field>
                  <mat-label>Número do CCIR</mat-label>
                  <input
                    matInput
                    formControlName="tx_nomePropriedade"
                    placeholder="Ex. Fazenda Ribeirão"
                  />
                </mat-form-field>
              </mat-grid-tile>

              <mat-grid-tile>
                <mat-form-field>
                  <mat-label>Código do imóvel rural</mat-label>
                  <input
                    matInput
                    formControlName="tx_nomePropriedade"
                    placeholder="Ex. Fazenda Ribeirão"
                  />
                </mat-form-field>
              </mat-grid-tile>

              <mat-grid-tile>
                <mat-form-field>
                  <mat-label>Endereço</mat-label>
                  <input
                    matInput
                    formControlName="tx_endereco"
                    placeholder="Ex. Fazenda Ribeirão"
                  />
                </mat-form-field>
              </mat-grid-tile>

              <mat-grid-tile>
                <mat-form-field>
                  <mat-label>Área total</mat-label>
                  <input
                    matInput
                    formControlName="nr_areaTotalHa"
                    type="number"
                  />
                  <span matSuffix>HA</span>
                </mat-form-field>
              </mat-grid-tile>

            </mat-grid-list>

            
            <mat-grid-list cols="1" rowHeight="100px">
              <mat-grid-tile>
                <button mat-button matStepperNext>
                  <span class="material-icons"> arrow_forward </span>
                </button>
              </mat-grid-tile>
            </mat-grid-list>
          </form>
        </mat-step>

        <mat-step [stepControl]="secondFormGroup" [editable]="isEditable">
          <form [formGroup]="secondFormGroup">
            <ng-template matStepLabel>Dados do terreno</ng-template>

            <mat-grid-list cols="3" rowHeight="100px">
              <mat-grid-tile>
                <mat-form-field>
                  <mat-label>Cultura de plantio</mat-label>
                  <mat-select formControleName="tp_cultivo" multiple>
                    <mat-option
                      *ngFor="let item of tp_cultivoList"
                      [value]="item"
                      >{{ item }}</mat-option
                    >
                  </mat-select>
                </mat-form-field>
              </mat-grid-tile>

              <mat-grid-tile>
                <mat-form-field>
                  <mat-label>Tipo de solo</mat-label>
                  <mat-select formControleName="tp_solo">
                    <mat-option
                      *ngFor="let item of tp_soloList"
                      [value]="item"
                      >{{ item }}</mat-option
                    >
                  </mat-select>
                </mat-form-field>
              </mat-grid-tile>

              <mat-grid-tile>
                <mat-form-field>
                  <mat-label>Última colheita</mat-label>
                  <input matInput [matDatepicker]="picker1" />
                  <mat-datepicker-toggle
                    matSuffix
                    [for]="picker1"
                  ></mat-datepicker-toggle>
                  <mat-datepicker #picker1></mat-datepicker>
                </mat-form-field>
              </mat-grid-tile>
            </mat-grid-list>

            <mat-grid-list cols="1" rowHeight="100px">
              <mat-grid-tile>
                <button mat-button matStepperPrevious>
                  <span class="material-icons"> arrow_back </span>
                </button>
                
            <button mat-button (click)="goToDashboardPage()">Criar</button>
              </mat-grid-tile>
            </mat-grid-list>
          </form>
        </mat-step>

      </mat-horizontal-stepper>
    </div>
  </div>
</div>
